Export a stack's configuration as JSON
curl --request GET \
--url https://statusstack.com/api/v1/stacks/{stack_id}/export/configuration \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://statusstack.com/api/v1/stacks/{stack_id}/export/configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://statusstack.com/api/v1/stacks/{stack_id}/export/configuration"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"version": "1.0",
"exported_at": "2023-11-07T05:31:56Z",
"stack": {
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"visibility": "public",
"stack_type": "application",
"theme": "auto",
"layout": "grid",
"show_timestamps": true,
"show_component_names": true,
"show_incident_history": true,
"incident_history_days": 123
},
"components": [
{
"name": "<string>",
"description": "<string>",
"type": "<string>",
"latest_status": "<string>",
"order": 123
}
],
"sources": [
{
"name": "<string>",
"url": "<string>",
"category": "<string>",
"order": 123
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Stacks
Export a stack's configuration as JSON
GET
/
v1
/
stacks
/
{stack_id}
/
export
/
configuration
Export a stack's configuration as JSON
curl --request GET \
--url https://statusstack.com/api/v1/stacks/{stack_id}/export/configuration \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://statusstack.com/api/v1/stacks/{stack_id}/export/configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://statusstack.com/api/v1/stacks/{stack_id}/export/configuration"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"version": "1.0",
"exported_at": "2023-11-07T05:31:56Z",
"stack": {
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"visibility": "public",
"stack_type": "application",
"theme": "auto",
"layout": "grid",
"show_timestamps": true,
"show_component_names": true,
"show_incident_history": true,
"incident_history_days": 123
},
"components": [
{
"name": "<string>",
"description": "<string>",
"type": "<string>",
"latest_status": "<string>",
"order": 123
}
],
"sources": [
{
"name": "<string>",
"url": "<string>",
"category": "<string>",
"order": 123
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Authorizations
StatusStack authenticates requests with API keys, created via the dashboard with granular permissions (read, write, delete, admin, *).
API keys support version compatibility:
- v1 keys: Can only access v1 endpoints
- v2 keys: Can access both v1 and v2 endpoints
Available permissions:
read: View resources (GET requests)write: Create and update resources (POST, PUT requests)delete: Delete resources (DELETE requests)admin: Administrative access to all resources*: Wildcard permission (all actions allowed)
Path Parameters
Response
Stack configuration
A portable snapshot of a stack's presentation settings and its attached sources and components. Deliberately excludes ids, so it describes a stack rather than identifying one.
Was this page helpful?

